> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Legal Entity's Account Logins

> Lists _Account Login_ for the current _Legal Entity_.

Retrieving a login's information is a **three-step process**:
1. the returned objects will contain, amongst other information, the `id` of the Account Login.
1. the hosted url can be obtained by calling `/logins/<id>/sessions`
1. the Account Login data will be available following the previous response's `url`

### Example

1. Request all logins for the current Legal Entity: `/logins`
1. Response:
   ```
   [
      {
        "id": "abc1234",
        "name": "Account for Tax Office in Nevada",
        "region": "NV",
        "url": "https://tax.neveda.gov/login",
        "is_supported": true,
      },
      ...
  ]
   ```



## OpenAPI

````yaml /openapi_v2.json get /v2/logins
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/logins:
    get:
      summary: List Legal Entity's Account Logins
      description: >-
        Lists _Account Login_ for the current _Legal Entity_.


        Retrieving a login's information is a **three-step process**:

        1. the returned objects will contain, amongst other information, the
        `id` of the Account Login.

        1. the hosted url can be obtained by calling `/logins/<id>/sessions`

        1. the Account Login data will be available following the previous
        response's `url`


        ### Example


        1. Request all logins for the current Legal Entity: `/logins`

        1. Response:
           ```
           [
              {
                "id": "abc1234",
                "name": "Account for Tax Office in Nevada",
                "region": "NV",
                "url": "https://tax.neveda.gov/login",
                "is_supported": true,
              },
              ...
          ]
           ```
      operationId: list_account_logins_v2_logins_get
      parameters:
        - name: region
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/StateCode'
              - type: 'null'
            title: Region
        - name: legal_entity_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Legal Entity Public Id
        - name: user_or_platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Or Platform Public Id
        - name: platform_public_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Platform Public Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlatformLegalEntityAccountLogin'
                title: Response List Account Logins V2 Logins Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    StateCode:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: StateCode
    PlatformLegalEntityAccountLogin:
      properties:
        id:
          type: string
          title: Id
          description: The identifier of this Account Login
        name:
          type: string
          title: Name
          description: The name of the Login
        region:
          $ref: '#/components/schemas/StateCode'
          description: The state which the login belongs to
        url:
          type: string
          title: Url
          description: The url pointing to the login page for this Login
      type: object
      required:
        - id
        - name
        - region
        - url
      title: PlatformLegalEntityAccountLogin
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/token

````